package com.liang.service;

import com.liang.entity.SysRoleInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (SysRoleInfo)表服务接口
 *
 * @author makejava
 * @since 2023-02-19 21:37:39
 */
public interface SysRoleInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param roleId 主键
     * @return 实例对象
     */
    SysRoleInfo queryById(Integer roleId);

    /**
     * 分页查询
     *
     * @param sysRoleInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysRoleInfo> queryByPage(SysRoleInfo sysRoleInfo, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysRoleInfo 实例对象
     * @return 实例对象
     */
    int insert(SysRoleInfo sysRoleInfo);

    /**
     * 修改数据
     *
     * @param sysRoleInfo 实例对象
     * @return 实例对象
     */
    int update(SysRoleInfo sysRoleInfo);

    /**
     * 通过主键删除数据
     *
     * @param roleId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer roleId, Integer updateUser);

    /**
     * 获取角色列表
     *
     * @param map
     * @return
     */
    List<SysRoleInfo> getSysRoleInfoList(Map map);

    /**
     * 禁用
     *
     * @param roleId
     * @return
     */
    int forbid(Integer roleId);

    /**
     * 启用
     *
     * @param roleId
     * @return
     */
    int enable(Integer roleId);

    /**
     * 批量删除
     *
     * @param
     * @return
     */
    int batchDelete(List<Integer> roleIdList, Integer updateUser);
}
